Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBAC.h File Reference

`#include "tao/ORB.h"`
`#include "rtcorba_export.h"`
`#include "rtcorba_typedefs.h"`
`#include "tao/CDR.h"`
`#include "tao/Encodable.h"`
`#include "tao/TimeBaseC.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for RTCORBAC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | RTCORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_RTCORBA_Export
#define | _RTCORBA_THREADPOOLLANES_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY__VAR_OUT_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY_CH_
#define | _RTCORBA_THREADPOOLPOLICY__VAR_OUT_CH_
#define | _RTCORBA_THREADPOOLPOLICY_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES__VAR_OUT_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES_CH_
#define | _RTCORBA_PROTOCOLLIST_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY__VAR_OUT_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY__VAR_OUT_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY__VAR_OUT_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES__VAR_OUT_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES__VAR_OUT_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES__VAR_OUT_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES__VAR_OUT_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_PRIORITYBANDS_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY__VAR_OUT_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY_CH_
#define | _RTCORBA_CURRENT__VAR_OUT_CH_
#define | _RTCORBA_CURRENT_CH_
#define | _RTCORBA_MUTEX__VAR_OUT_CH_
#define | _RTCORBA_MUTEX_CH_
#define | _RTCORBA_RTORB__VAR_OUT_CH_
#define | _RTCORBA_RTORB_CH_
#define | _RTCORBA_RTORB_MUTEXNOTFOUND_CH_
#define | _RTCORBA_RTORB_INVALIDTHREADPOOL_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY__TRAITS_CH_
#define | _RTCORBA_THREADPOOLPOLICY__TRAITS_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES__TRAITS_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY__TRAITS_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY__TRAITS_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY__TRAITS_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES__TRAITS_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES__TRAITS_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES__TRAITS_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES__TRAITS_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY__TRAITS_CH_
#define | _RTCORBA_CURRENT__TRAITS_CH_
#define | _RTCORBA_MUTEX__TRAITS_CH_
#define | _RTCORBA_RTORB__TRAITS_CH_
## Functions
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::ThreadpoolLane &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ThreadpoolLane *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ThreadpoolLane *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::ThreadpoolLane *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::ThreadpoolLanes &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ThreadpoolLanes *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ThreadpoolLanes *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::ThreadpoolLanes *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityModel)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityModel &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityModelPolicy_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityModelPolicy_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ThreadpoolPolicy_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ThreadpoolPolicy_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ProtocolProperties_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ProtocolProperties_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::Protocol &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::Protocol *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::Protocol *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::Protocol *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::ProtocolList &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ProtocolList *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ProtocolList *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::ProtocolList *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ServerProtocolPolicy_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ServerProtocolPolicy_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ClientProtocolPolicy_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ClientProtocolPolicy_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PrivateConnectionPolicy_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PrivateConnectionPolicy_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::TCPProtocolProperties_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::TCPProtocolProperties_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::GIOPProtocolProperties_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::GIOPProtocolProperties_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::UnixDomainProtocolProperties_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::UnixDomainProtocolProperties_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::SharedMemoryProtocolProperties_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::SharedMemoryProtocolProperties_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::PriorityBand &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityBand *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityBand *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::PriorityBand *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::PriorityBands &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityBands *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityBands *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::PriorityBands *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityBandedConnectionPolicy_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityBandedConnectionPolicy_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::Current_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::Current_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::Mutex_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::Mutex_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::RTORB_ptr *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::RTORB_ptr &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::RTORB::MutexNotFound &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::RTORB::MutexNotFound *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::RTORB::MutexNotFound *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::RTORB::MutexNotFound *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::RTORB::InvalidThreadpool &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::RTORB::InvalidThreadpool *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::RTORB::InvalidThreadpool *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::RTORB::InvalidThreadpool *&)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::ThreadpoolLane &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::ThreadpoolLane &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::ThreadpoolLanes &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::ThreadpoolLanes &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityModel &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::PriorityModel &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::Protocol &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::Protocol &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::ProtocolList &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::ProtocolList &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityBand &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::PriorityBand &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityBands &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::PriorityBands &)

## Define Documentation

#define _RTCORBA_CLIENTPROTOCOLPOLICY__TRAITS_CH_

#define _RTCORBA_CLIENTPROTOCOLPOLICY__VAR_OUT_CH_

#define _RTCORBA_CLIENTPROTOCOLPOLICY_CH_

#define _RTCORBA_CURRENT__TRAITS_CH_

#define _RTCORBA_CURRENT__VAR_OUT_CH_

#define _RTCORBA_CURRENT_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES__TRAITS_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES__VAR_OUT_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES_CH_

#define _RTCORBA_MUTEX__TRAITS_CH_

#define _RTCORBA_MUTEX__VAR_OUT_CH_

#define _RTCORBA_MUTEX_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY__TRAITS_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY__VAR_OUT_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY_CH_

#define _RTCORBA_PRIORITYBANDS_CH_

#define _RTCORBA_PRIORITYMODELPOLICY__TRAITS_CH_

#define _RTCORBA_PRIORITYMODELPOLICY__VAR_OUT_CH_

#define _RTCORBA_PRIORITYMODELPOLICY_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY__TRAITS_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY__VAR_OUT_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY_CH_

#define _RTCORBA_PROTOCOLLIST_CH_

#define _RTCORBA_PROTOCOLPROPERTIES__TRAITS_CH_

#define _RTCORBA_PROTOCOLPROPERTIES__VAR_OUT_CH_

#define _RTCORBA_PROTOCOLPROPERTIES_CH_

#define _RTCORBA_RTORB__TRAITS_CH_

#define _RTCORBA_RTORB__VAR_OUT_CH_

#define _RTCORBA_RTORB_CH_

#define _RTCORBA_RTORB_INVALIDTHREADPOOL_CH_

#define _RTCORBA_RTORB_MUTEXNOTFOUND_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY__TRAITS_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY__VAR_OUT_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES__TRAITS_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES__VAR_OUT_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES__TRAITS_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES__VAR_OUT_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES_CH_

#define _RTCORBA_THREADPOOLLANES_CH_

#define _RTCORBA_THREADPOOLPOLICY__TRAITS_CH_

#define _RTCORBA_THREADPOOLPOLICY__VAR_OUT_CH_

#define _RTCORBA_THREADPOOLPOLICY_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES__TRAITS_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES__VAR_OUT_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES_CH_

#define TAO_EXPORT_MACRO TAO_RTCORBA_Export

## Function Documentation

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::PriorityBands & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::PriorityBand & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::ProtocolList & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::Protocol & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::PriorityModel & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::ThreadpoolLanes & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::ThreadpoolLane & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::RTORB::InvalidThreadpool * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::RTORB::InvalidThreadpool & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::RTORB::MutexNotFound * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::RTORB::MutexNotFound & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::RTORB_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::Mutex_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::Current_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityBandedConnectionPolicy_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityBands * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::PriorityBands & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityBand * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::PriorityBand & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::SharedMemoryProtocolProperties_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::UnixDomainProtocolProperties_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::GIOPProtocolProperties_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::TCPProtocolProperties_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PrivateConnectionPolicy_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ClientProtocolPolicy_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ServerProtocolPolicy_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ProtocolList * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::ProtocolList & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::Protocol * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::Protocol & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ProtocolProperties_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ThreadpoolPolicy_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityModelPolicy_ptr * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityModel |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLanes * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLanes & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLane * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLane & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::PriorityBands & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::PriorityBand & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ProtocolList & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::Protocol & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::PriorityModel & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ThreadpoolLanes & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ThreadpoolLane & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::RTORB::InvalidThreadpool *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::RTORB::InvalidThreadpool *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::RTORB::MutexNotFound *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::RTORB::MutexNotFound *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::RTORB_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::Mutex_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::Current_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityBandedConnectionPolicy_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::PriorityBands *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityBands *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::PriorityBand *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityBand *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::SharedMemoryProtocolProperties_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::UnixDomainProtocolProperties_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::GIOPProtocolProperties_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::TCPProtocolProperties_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PrivateConnectionPolicy_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ClientProtocolPolicy_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ServerProtocolPolicy_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::ProtocolList *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ProtocolList *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::Protocol *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::Protocol *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ProtocolProperties_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ThreadpoolPolicy_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityModelPolicy_ptr & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityModel & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLanes *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLanes *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLane *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLane *& |
| ) |